Subject: Re: [bug#40677] [PATCH V3 07/15] gnu: Add ffmpeg-jami.

From: Jan <[email-masked]>
Date: Thu, 7 May 2020 22:03:55 +0200

Hi,

I tried fixing cross-compilation but there are several problems:

- dav1d fails, because "meson doesn't support cross-compilation"
- perl fails during installation and if I checked correctly, guix
  doesn't have support for perl on armhf or aarch64
- glib fails, because "meson doesn't support cross-compilation"
And other possible problems I didn't get to. With dav1d I could just
disable it, because it's just one codec. I also disabled perl, but
disabling glib won't work.

This isn't a good advertisement for this meson build system :P
Should I proudly drop all the support for cross compilation?

Jan Wielkiewicz